import { defineStore } from 'pinia'

export type Player = {
  id: string
  name: string
  isIdle: boolean
  score: number
}

export type Players = Array<Player>

export const usePlayersStore = defineStore('PlayersStore', {
  state: () => {
    return {
      players: [],
    }
  },
  actions: {
    setPlayers(players: Players): void {
      this.players = players
    },
  },
})
